#!/bin/bash
script_path="$( dirname  "$( readlink -f "${BASH_SOURCE[0]}" )" )"

if [ $# -lt 1 ]
then
    echo " usage: execute_and_highlight command arguments"
    exit 1
fi

cmd=$1
shift 1
$cmd $@ | $script_path/highlight_test_results.sh
test ${PIPESTATUS[0]} -eq 0

